Bug 1129519 - Rules Engine: Warn when rolling back disabled flags
Summary: Rules Engine: Warn when rolling back disabled flags
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Internal Tools
Version: 4.4
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: 4.4
Assignee: PnT DevOps Devs
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 04:18 UTC by Shirley Zhou
Modified: 2018-12-09 06:29 UTC (History)
4 users (show)

Fixed In Version: 4.4.6026
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-27 02:19:32 UTC


Attachments (Terms of Use)

Description Shirley Zhou 2014-08-13 04:18:33 UTC
Description of problem:
Create a rule to unset disabled flag, for example errata-3.1 flag, and when I roll back the changes made by the rule. I found the flag can not be set to these bugs (it is expected as this flag already been disabled), and no any warning show for the rollback operation. In the comment of the bug, we can see inline history as following:
 
#######
Rule Engine 2014-08-12 23:43:40 EDT
Flags: errata-3.1+
Rules Engine Rule: disableflag

Rule Engine 2014-08-12 23:45:21 EDT
Rules Engine Rule: disableflag(strickthrough)
#######

Version-Release number of selected component (if applicable):
rh-bugzilla-4.4.5024-3.el6

How reproducible:
always

Steps to Reproduce:
1.create a rule to unset one disabled flag
2. roll back the changes made by above rule
3.

Actual results:
the rollback action did well from the output message of the roll back

Expected results:
I hope there will be some message to let user know the roll back does not take effect. Or we at least give clarification to the rules engine documentation.

Additional info:

Comment 1 Simon Green 2014-08-13 12:17:51 UTC
In the real world™, we would hope that (a) the roll back feature is never used and (b) if it is, the old flag states would still be available.

Having said that, at the time we add the bugs to the rollback queue, there is no easy way to tell if there are flags that cannot be changed. Therefore, I recommend that the best thing we can do is disable a warning on the create a rollback page about changing flags.

Comment 2 Jason McDonald 2014-08-14 02:46:15 UTC
(In reply to Simon Green from comment #1)
> Therefore, I recommend that the best thing we can do is disable a warning
> on the create a rollback page about changing flags.

I presume you mean "display" rather than "disable", in which case I agree with you.

Comment 4 Shirley Zhou 2014-10-09 06:06:17 UTC
Change this bug to verified as one warning note added in the roll back page. Thanks.


Note You need to log in before you can comment on or make changes to this bug.